unit COMObjLibrary;

interface

uses Windows,ComObj,Registry;

function IsComObjectRegistered(ClassID: String): Boolean; overload;
function IsComObjectRegistered(ClassID: TGUID): Boolean; overload;

implementation



function IsComObjectRegistered(ClassID: String): Boolean;
{Check to see of Class ID string is registered in Registry}
var Reg: TRegistry;
begin
Reg:= TRegistry.Create;
try
Reg.RootKey:= HKEY_CLASSES_ROOT;
Result:=Reg.KeyExists('CLSID\' + ClassID);
Reg.CloseKey;
finally Reg.Free; end;
end;



function IsComObjectRegistered(ClassID: TGUID): Boolean;
{Check to see of Class ID GUID is registered in Registry}
begin
Result:=IsComObjectRegistered(GUIDToString(ClassID));
end;


end.
