unit TRMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,MMSystem,DSupport,WinSupport,
  ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    Button4: TButton;
    Panel3: TPanel;
    Button5: TButton;
    ComboBox1: TComboBox;
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
{$R Sounds.res}




function EnumResNameProc(hModule : THandle; TypeName, ResName: PChar; lParam : longint) : boolean; stdcall;
var S1,S2: string;
begin
S2:=String(ResName);
Form1.Memo1.Lines.Add(S2);
Result := true;
end;


procedure  EnumerateStringResources;
begin
Form1.Memo1.Lines.Add('RT_RCDATA');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_RCDATA, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_CURSOR');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_CURSOR, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_BITMAP');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_BITMAP, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_ICON');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_ICON, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_MENU');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_MENU, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_DIALOG');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_DIALOG, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_STRING');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_STRING, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_FONTDIR');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_FONTDIR, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_FONT');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_FONT, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_ACCELERATOR');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_ACCELERATOR, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_MESSAGETABLE');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_MESSAGETABLE, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_GROUP_CURSOR');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_GROUP_CURSOR, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_GROUP_ICON');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_GROUP_ICON, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_VERSION');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_VERSION, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_DLGINCLUDE');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_DLGINCLUDE, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_PLUGPLAY');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_PLUGPLAY, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_VXD');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_VXD, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_ANICURSOR');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_ANICURSOR, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('RT_ANIICON');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, RT_ANIICON, @EnumResNameProc, 0);
Form1.Memo1.Lines.Add('');
Form1.Memo1.Lines.Add('WAVE');
Form1.Memo1.Lines.Add('==================================');
EnumResourceNames(hInstance, 'WAVE', @EnumResNameProc, 0);
end;



procedure TForm1.Button4Click(Sender: TObject);
begin
Memo1.Clear;
EnumerateStringResources;
end;



procedure TForm1.Button5Click(Sender: TObject);
var S: string;
begin
S:=ComboBox1.Text;
PlaySound(PChar(S),hInstance,SND_RESOURCE or SND_ASYNC);
end;


end.
