unit IEPreview;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;


procedure ShowPreview(Show: boolean);
procedure UpdatePeview;


implementation

uses ImageEditor;




procedure UpdatePeview;
begin
if not ImageEditorDlg.PreviewPanel.Visible then exit;
ImageEditorDlg.PreviewImage.Picture.Bitmap.Assign(ImageEditorDlg.Image.SavedImage);
ImageEditorDlg.PreviewImage.Repaint;
end;



procedure ShowPreview(Show: boolean);
begin
ImageEditorDlg.PreviewPanel.Visible:=Show;
ImageEditorDlg.PreviewSplitter.Visible:=Show;
if Show then UpdatePeview;
end;




end.
