unit InternetLib;

interface

uses SysUtils,DSupport;

function ConvertHexStrings(S: string): string; overload;
function ConvertHexStrings(S: string; Meta: char): string; overload;

implementation



function ConvertHexStrings(S: string; Meta: char): string; overload;
{Convert URI hex values in string to corresponding characters}
var I: integer;


	function GetHexStr: string;
	var C1,C2: char;
	begin
	C1:=S[I]; C2:=S[I+1]; Inc(I,2);
	Result:=char(StrToInt('$'+C1+C2));
	end;


	function IsHexPair: boolean;
	begin
	Result:=False;
	if (I+1)>Length(S) then exit;
	Result:=IsUpperHexDigit(S[I]) and IsUpperHexDigit(S[I+1]);
	end;

begin
I:=1;
while I<=Length(S) do
	begin
	if S[I]=Meta then
		begin
		Inc(I);
		while IsHexPair do Result:=Result + GetHexStr;
		end
	else begin Result:=Result+S[I]; Inc(I); end;
	end;
end;


function ConvertHexStrings(S: string): string; overload;
begin
Result:=ConvertHexStrings(S,'%');
end;

end.
