unit MathLib;

interface

uses Math;

function GammaFunction(V, Gamma, Intercept: double): double;

implementation


function GammaFunction(V, Gamma, Intercept: double): double;
{Get gamma value for specified gamma paramter }
{Intercept = point om graph the function will alway intersect}
var Scale: double;
begin
{Change Gamma range from 0 - 1 to 0.1 to 10 }
Gamma:=Power(10,(Gamma - 0.50) * 2);
if Gamma<=0 then Gamma:=100 else Gamma:=1/Gamma;

{Set Intercept point }
Scale:=Intercept/power(Intercept,Gamma);
Result:=Power(V,Gamma) * Scale;
end;


end.
 